#
# spec file for package yast2-agent-isax (Version 2.4.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp libscr libscr-devel liby2 liby2-devel libycp libycp-devel ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-agent-isax
Copyright:    (c) 2000 SuSE GmbH
Group:        System Environment/YaST
Summary:      YaST2-SCR: Agent for X11 configuration (for developers only)
Version:      2.4.5
Release:      17
Source0:      yast2-agent-isax-2.4.5.tar.bz2

%description
This package contains a SaX/SaX2 interface agent for the YaST2-SCR
system and is only needed by developers.

SuSE series: yast

%package devel
Version:      2.4.5
Release:      17
Summary:      YaST2-SCR: Agent for X11 configuration (for developers only)
Group:        Development/Libraries
Provides:     y2a_xf86
Obsoletes:    y2a_xf86

%description devel
This package contains a SaX/SaX2 interface agent for the YaST2-SCR
system and is only needed by developers.

SuSE series: yast

%prep
%setup -n yast2-agent-isax-2.4.5

%build
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure
make

%install
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2ag_xf86config.so.2.0.0

%files
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_xf86config.so.*
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/scrconf/*.scr

%files devel
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_xf86config.so
/usr/lib/YaST2/plugin/libpy2ag_xf86config.la
%dir /usr/share/doc/packages/yast2-agent-isax
/usr/share/doc/packages/yast2-agent-isax/*

%changelog -n yast2-agent-isax
* Sun Sep 23 2001 - tom@suse.de
- (#10755) Applied modifications necessary for VMware support.
* Wed Sep 12 2001 - tom@suse.de
- Changed default for xkblayout from "en" to "us" to satisfy needs for sun.
* Wed Aug 08 2001 - tom@suse.de
- Added Dir command to deliver all possible subpathes.
* Tue Aug 07 2001 - tom@suse.de
- Finished redesign. Streamlined code. Added code for tmpdir determination.
* Sat Aug 04 2001 - tom@suse.de
- Nearly completed version. Now reading/writing parts of the XF86Config
- file is possible (isax has still problems somewhere).
- Unsolved problem with the agent:
- On reading no data is passed to the agent (yet). Therefore no information
- about the tmp dir is available at this time. This is no problem with
- writing since the map passed to the agent holds this information.
* Tue Jun 26 2001 - arvin@suse.de
- adapt to new automake/autoconf
* Tue May 08 2001 - tom@suse.de
- Added turkish font pathes to the language specific fonts.
* Mon May 07 2001 - tom@suse.de
- added support for mice with wheels.
* Thu Mar 29 2001 - kkaempf@suse.de
- dont install lib, only plugin is needed
* Mon Mar 26 2001 - arvin@suse.de
- moved documentation to packages/yast2-agent-isax
* Thu Mar 08 2001 - tom@suse.de
- renamed package to yast2-agent-isax
* Sat Jan 27 2001 - arvin@suse.de
- package split y2a_xf86 / y2a_xf86-devel
* Thu Jan 18 2001 - tom@suse.de
- added functionality for emulate 3 buttons (Bug #5802)
* Thu Jan 11 2001 - tom@suse.de
- added turkish fontpathes to Xf86ConfigAgent.cc
* Mon Dec 04 2000 - kkaempf@suse.de
- path is just ".xf86config"
* Thu Nov 16 2000 - kkaempf@suse.de
- provide shared libs for dynamic plugins
* Thu Nov 09 2000 - kkaempf@suse.de
- static plugin only
* Tue Nov 07 2000 - kkaempf@suse.de
- dont include targetroot
* Wed Oct 25 2000 - kkaempf@suse.de
- Group set
* Fri Oct 06 2000 - kkaempf@suse.de
- fix specfile
* Fri Sep 29 2000 - kkaempf@suse.de
- initial version (split of from y2scr)
